Update

Update custom template by ID

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

template_idstringRequired

Headers

x-monite-versionstringRequired

Request

This endpoint expects an object.
body_templatestringOptional
Jinja2 compatible string with email body
languageenumOptional
Lowercase ISO code of language
namestringOptional1-128 characters
Custom template name
subject_templatestringOptional
Jinja2 compatible string with email subject

Response

Successful Response
idstringformat: "uuid"
ID of email template
created_atdatetime
Template created date and time
updated_atdatetime
Template updated date and time
body_templatestring
Jinja2 compatible email body template
is_defaultboolean
Is default template
languagestring<=4 characters
Lowercase ISO code of language
namestring<=128 characters
Name of the template
subject_templatestring<=2048 characters
Jinja2 compatible email subject template
typestring
Document type of content

Errors

401
Patch Mail Templates ID Request Unauthorized Error
422
Patch Mail Templates ID Request Unprocessable Entity Error
429
Patch Mail Templates ID Request Too Many Requests Error